Subject: [SWIPL] Calling more than one predicate

From: "Nissim Broudo" <[email-masked]>
Date: Tue, 7 Aug 2001 14:15:38 +0100

I've been using SWI-Prolog for a short amount of time and I completed one
small project in inductive logic programming using SWI.  I'm very impressed
with the package and its ease of use and extendibility with C.

What's the feasibility of being able to call more than one predicate in
future versions of SWI-Prolog ?  I would like to have 2 open predicates

qid1 = PL_open_query(NULL, PL_Q_NORMAL, my_predicate_1, term1);
qid2 = PL_open_query(NULL, PL_Q_NORMAL, my_predicate_2, term2);

PL_next_solution(qid1);
PL_next_solution(qid2);

PL_close_query(qid1);
PL_close_query(qid2);

Nissim Broudo

Department of Mathematics &
Department of Molecular Genetics and Microbiology
University of Florida